/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_ZONE_DATA_HH_1CF20F02C183927DD8B46FB9F0C9D8D0//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GET_ZONE_DATA_HH_1CF20F02C183927DD8B46FB9F0C9D8D0

#include "client/src/cfg.hh"
#include "client/src/zone_data.hh"

#include <string>

namespace Fred {
namespace Zone {
namespace Client {

ZoneData get_zone_data(const std::string& zone_file);

}//namespace Fred::Zone::Client
}//namespace Fred::Zone
}//namespace Fred

#endif//GET_ZONE_DATA_HH_1CF20F02C183927DD8B46FB9F0C9D8D0
