/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_ZONES_TO_GENERATE_HH_A36716672957CF6C8717CC5A7A5297E9//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GET_ZONES_TO_GENERATE_HH_A36716672957CF6C8717CC5A7A5297E9

#include "client/src/cfg.hh"

#include <string>
#include <vector>

namespace Fred {
namespace Zone {
namespace Client {

std::vector<std::string> get_zones_to_generate(const Cfg::Options::Generate& to_generate, const Cfg::Options::ZoneService& zone_service);

}//namespace Fred::Zone::Client
}//namespace Fred::Zone
}//namespace Fred

#endif//GET_ZONES_TO_GENERATE_HH_A36716672957CF6C8717CC5A7A5297E9
