/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_ZONE_DATA_CONTEXT_HH_286D18BA57E5FB191FAB83CE3499A112//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GET_ZONE_DATA_CONTEXT_HH_286D18BA57E5FB191FAB83CE3499A112

#include "src/impl/lib/zone_data.hh"
#include "src/impl/lib/zone_name.hh"

#include "libpg/pg_transaction.hh"

#include <array>

namespace Fred {
namespace Zone {
namespace Impl {
namespace Lib {

ZoneData::Context get_zone_data_context(std::array<LibPg::PgConnection, 3> connections, const ZoneName& zone);

}//namespace Fred::Zone::Impl::Lib
}//namespace Fred::Zone::Impl
}//namespace Fred::Zone
}//namespace Fred

#endif//GET_ZONE_DATA_CONTEXT_HH_286D18BA57E5FB191FAB83CE3499A112
