/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_ZONES_HH_26B72DAF45978B448FCBE865B5583C1F//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GET_ZONES_HH_26B72DAF45978B448FCBE865B5583C1F

#include "src/impl/lib/zone_list.hh"

#include "libpg/pg_transaction.hh"

namespace Fred {
namespace Zone {
namespace Impl {
namespace Lib {

ZoneList get_zones(const LibPg::PgTransaction& tx);

}//namespace Fred::Zone::Impl::Lib
}//namespace Fred::Zone::Impl
}//namespace Fred::Zone
}//namespace Fred

#endif//GET_ZONES_HH_26B72DAF45978B448FCBE865B5583C1F
