/*
 * Copyright (C) 2020-2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef ZONE_NAME_HH_A5EA74BC49DC50B2AB66BE7FC9E07E05//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define ZONE_NAME_HH_A5EA74BC49DC50B2AB66BE7FC9E07E05

#include "src/impl/lib/strong_type.hh"

#include <string>

namespace Fred {
namespace Zone {
namespace Impl {
namespace Lib {

using ZoneName = StrongString<struct ZoneNameTag_>;

}//namespace Fred::Zone::Impl::Lib
}//namespace Fred::Zone::Impl
}//namespace Fred::Zone
}//namespace Fred

#endif//ZONE_NAME_HH_A5EA74BC49DC50B2AB66BE7FC9E07E05
