/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef ZONE_DATA_HH_6BE7E32038D226CC3747852E70CA85BE//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define ZONE_DATA_HH_6BE7E32038D226CC3747852E70CA85BE

#include "src/impl/zone_name.hh"

#include "src/impl/lib/zone_data.hh"

namespace Fred {
namespace Zone {
namespace Impl {

Lib::ZoneData get_zone_data(const ZoneName& zone);

}//namespace Fred::Zone::Impl
}//namespace Fred::Zone
}//namespace Fred

#endif//ZONE_DATA_HH_6BE7E32038D226CC3747852E70CA85BE
