/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GENERATE_ZONE_HH_265D521E8D3D35D67635F475A17F4057//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GENERATE_ZONE_HH_265D521E8D3D35D67635F475A17F4057

#include "client/src/cfg.hh"
#include "client/src/zone_data.hh"

#include <cstdint>
#include <ostream>
#include <string>

namespace Fred {
namespace Zone {
namespace Client {

std::uint32_t generate_zone(const std::string& zone, const Cfg::Options::ZoneService& zone_service_options, std::ostream& out, ZoneData* zone_data = nullptr);

}//namespace Fred::Zone::Client
}//namespace Fred::Zone
}//namespace Fred

#endif//GENERATE_ZONE_HH_265D521E8D3D35D67635F475A17F4057
