/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef HOOK_EXEC_HH_D9B4E9DCE7EEA19222597479822C1C73//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define HOOK_EXEC_HH_D9B4E9DCE7EEA19222597479822C1C73

#include "client/src/cfg.hh"

#include <string>

namespace Fred {
namespace Zone {
namespace Client {

void hook_exec(const std::string& zone, const std::string& zone_file_name, const std::string& backup_zone_file_name, const Cfg::Options::Zone& zone_options);

}//namespace Fred::Zone::Client
}//namespace Fred::Zone
}//namespace Fred

#endif//HOOK_EXEC_HH_D9B4E9DCE7EEA19222597479822C1C73
