/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef COMMON_TYPES_UNWRAPPERS_HH_F0688F639BAD6EFFE01CC56280CB8FDF//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define COMMON_TYPES_UNWRAPPERS_HH_F0688F639BAD6EFFE01CC56280CB8FDF

#include "src/impl/zone_name.hh"

#include "fred_api/zone/common_types.pb.h"

namespace Fred {
namespace Zone {
namespace Iface {
namespace Tools {

Impl::ZoneName unwrap(const Api::ZoneName& src);

}//namespace Fred::Zone::Iface::Tools
}//namespace Fred::Zone::Iface
}//namespace Fred::Zone
}//namespace Fred

#endif//COMMON_TYPES_UNWRAPPERS_HH_F0688F639BAD6EFFE01CC56280CB8FDF
