/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_ZONE_DATA_HH_E01E1E859B2CCE556D9B02D78A1E2E7F//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GET_ZONE_DATA_HH_E01E1E859B2CCE556D9B02D78A1E2E7F

#include "test/client/cfg.hh"
#include "test/client/zone_data.hh"

namespace Test {

ZoneData get_zone_data(const Cfg::Options::ZoneService& zone_service_options, const Cfg::Options::Zone& zone_options);
ZoneData get_zone_data(const Cfg::Options::ZoneFile& zone_file_options);

}//namespace Test

#endif//GET_ZONE_DATA_HH_E01E1E859B2CCE556D9B02D78A1E2E7F
